## mingw-w64-qt6-declarative-6.8.2-1.src.tar.zst

=== src/quicktemplates/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QuickTemplates2 Module:
#####################################################################

qt_internal_add_qml_module(QuickTemplates2
    URI "QtQuick.Templates"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QtQuickTemplates2Plugin
    DEPENDENCIES
        QtQuick/auto
    PLUGIN_TARGET qtquicktemplates2plugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    SOURCES
        qquickabstractbutton.cpp qquickabstractbutton_p.h
        qquickabstractbutton_p_p.h
        qquickaction.cpp qquickaction_p.h
        qquickactiongroup.cpp qquickactiongroup_p.h
        qquickapplicationwindow.cpp qquickapplicationwindow_p.h
        qquickbusyindicator.cpp qquickbusyindicator_p.h
        qquickbutton.cpp qquickbutton_p.h
        qquickbutton_p_p.h
        qquickbuttongroup.cpp qquickbuttongroup_p.h
        qquickcheckbox.cpp qquickcheckbox_p.h
        qquickcheckdelegate.cpp qquickcheckdelegate_p.h
        qquickcontentitem.cpp qquickcontentitem_p.h
        qquickcontrol.cpp qquickcontrol_p.h
        qquickcontrol_p_p.h
        qquickdeferredexecute.cpp
        qquickdeferredexecute_p_p.h
        qquickdeferredpointer_p_p.h
        qquickdelaybutton.cpp qquickdelaybutton_p.h
        qquickdial.cpp qquickdial_p.h
        qquickdrawer.cpp qquickdrawer_p.h
        qquickdrawer_p_p.h
        qquickframe.cpp qquickframe_p.h
        qquickframe_p_p.h
        qquickgroupbox.cpp qquickgroupbox_p.h
        qquickicon.cpp qquickicon_p.h
        qquickindicatorbutton_p.cpp qquickindicatorbutton_p.h
        qquickitemdelegate.cpp qquickitemdelegate_p.h
        qquickitemdelegate_p_p.h
        qquicklabel.cpp qquicklabel_p.h
        qquicklabel_p_p.h
        qquickmenuseparator.cpp qquickmenuseparator_p.h
        qquicknativeicon_p.h
        qquicknativeicon.cpp
        qquicknativeiconloader_p.h
        qquicknativeiconloader.cpp
        qquicknativemenuitem_p.h
        qquicknativemenuitem.cpp
        qquickoverlay.cpp qquickoverlay_p.h
        qquickoverlay_p_p.h
        qquickpage.cpp qquickpage_p.h
        qquickpage_p_p.h
        qquickpageindicator.cpp qquickpageindicator_p.h
        qquickpane.cpp qquickpane_p.h
        qquickpane_p_p.h
        qquickpopup.cpp qquickpopup_p.h
        qquickpopup_p_p.h
        qquickpopupanchors.cpp qquickpopupanchors_p.h
        qquickpopupanchors_p_p.h
        qquickpopupitem.cpp
        qquickpopupitem_p_p.h
        qquickpopuppositioner.cpp
        qquickpopuppositioner_p_p.h
        qquickpopupwindow.cpp
        qquickpopupwindow_p_p.h
        qquickpresshandler.cpp
        qquickpresshandler_p_p.h
        qquickprogressbar.cpp qquickprogressbar_p.h
        qquickradiobutton.cpp qquickradiobutton_p.h
        qquickradiodelegate.cpp qquickradiodelegate_p.h
        qquickrangeslider.cpp qquickrangeslider_p.h
        qquickroundbutton.cpp qquickroundbutton_p.h
        qquickscrollbar.cpp qquickscrollbar_p.h
        qquickscrollbar_p_p.h
        qquickscrollindicator.cpp qquickscrollindicator_p.h
        qquickscrollview.cpp qquickscrollview_p.h
        qquickshortcutcontext.cpp
        qquickshortcutcontext_p_p.h
        qquickslider.cpp qquickslider_p.h
        qquickspinbox.cpp qquickspinbox_p.h
        qquickstackelement.cpp
        qquickstackelement_p_p.h
        qquickstackview.cpp qquickstackview_p.cpp qquickstackview_p.h
        qquickstackview_p_p.h
        qquickswipe_p.h
        qquickswipedelegate.cpp qquickswipedelegate_p.h
        qquickswipedelegate_p_p.h
        qquickswitch.cpp qquickswitch_p.h
        qquickswitchdelegate.cpp qquickswitchdelegate_p.h
        qquicktabbutton.cpp qquicktabbutton_p.h
        qquicktemplatesutils.cpp
        qquicktemplatesutils_p.h
        qquicktextarea.cpp qquicktextarea_p.h
        qquicktextarea_p_p.h
        qquicktextfield.cpp qquicktextfield_p.h
        qquicktextfield_p_p.h
        qquicktheme.cpp qquicktheme_p.h
        qquicktheme_p_p.h
        qquicktoolbar.cpp qquicktoolbar_p.h
        qquicktoolbutton.cpp qquicktoolbutton_p.h
        qquicktoolseparator.cpp qquicktoolseparator_p.h
        qquicktooltip.cpp qquicktooltip_p.h
        qquickvelocitycalculator.cpp
        qquickvelocitycalculator_p_p.h
        qtquicktemplates2global.cpp qtquicktemplates2global_p.h
    NO_UNITY_BUILD_SOURCES
        qquickpopupitem.cpp # redefinition of 'contentItemName' (from qquickcontrol.cpp)
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Quick
    )

qt_internal_extend_target(QuickTemplates2 CONDITION TARGET Qt::QmlModels
    LIBRARIES
        Qt::QmlModelsPrivate
    PUBLIC_LIBRARIES
        Qt::QmlModels
    PRIVATE_MODULE_INTERFACE
        Qt::QmlModelsPrivate
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_accessibility
    SOURCES
        accessible/qaccessiblequickpage.cpp accessible/qaccessiblequickpage_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_quicktemplates2_container
    SOURCES
    qquickcontainer.cpp qquickcontainer_p.h
    qquickcontainer_p_p.h
    qquickdialog.cpp qquickdialog_p.h
    qquickdialog_p_p.h
    qquickdialogbuttonbox.cpp qquickdialogbuttonbox_p.h
    qquickdialogbuttonbox_p_p.h
    qquickmenubar.cpp qquickmenubar_p.h
    qquickmenubar_p_p.h
    qquickmenubaritem.cpp qquickmenubaritem_p.h
    qquickmenubaritem_p_p.h
    qquicksplitview.cpp qquicksplitview_p.h
    qquickswipeview.cpp qquickswipeview_p.h
    qquicktabbar.cpp qquicktabbar_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_qml_object_model
    SOURCES
        qquickmenu.cpp qquickmenu_p.h
        qquickmenu_p_p.h
        qquickmenuitem.cpp qquickmenuitem_p.h
        qquickmenuitem_p_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_quick_tableview
    SOURCES
        qquickheaderview.cpp qquickheaderview_p.h
        qquickheaderview_p_p.h
        qquickselectionrectangle.cpp qquickselectionrectangle_p.h
        qquickselectionrectangle_p_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_quick_treeview
    SOURCES
        qquicktreeviewdelegate.cpp qquicktreeviewdelegate_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_quick_listview AND QT_FEATURE_quick_pathview
    SOURCES
        qquicktumbler.cpp qquicktumbler_p.h
        qquicktumbler_p_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_quicktemplates2_calendar
    SOURCES
        qquickcalendar.cpp qquickcalendar_p.h
        qquickcalendarmodel.cpp qquickcalendarmodel_p.h
        qquickdayofweekmodel.cpp qquickdayofweekmodel_p.h
        qquickdayofweekrow.cpp qquickdayofweekrow_p.h
        qquickmonthgrid.cpp qquickmonthgrid_p.h
        qquickmonthmodel.cpp qquickmonthmodel_p.h
        qquickweeknumbercolumn.cpp qquickweeknumbercolumn_p.h
        qquickweeknumbermodel.cpp qquickweeknumbermodel_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_quick_viewtransitions
    SOURCES
        qquickstacktransition.cpp
        qquickstacktransition_p_p.h
)

qt_internal_extend_target(QuickTemplates2 CONDITION QT_FEATURE_qml_delegate_model
    SOURCES
        qquickcombobox.cpp
        qquickcombobox_p.h
)

qt_internal_extend_Target(qtquicktemplates2plugin
    SOURCES
        qtquicktemplates2plugin.cpp
    LIBRARIES
        Qt::Quick
        Qt::QuickTemplates2Private
)

=== tests/baseline/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(NOT TARGET Qt::qsb)
    return()
endif()

# Special case: test includes the QBaselineTest module sources from qtbase directly
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../../qtbase/tests/baseline/shared")
    if(QT_FEATURE_processenvironment)
        add_subdirectory(scenegraph)
        add_subdirectory(controls)
    endif()
endif()

=== src/quickcontrols/fusion/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qtquickcontrols2fusionstyleplugin Plugin:
#####################################################################

set(qml_files
    "ApplicationWindow.qml"
    "BusyIndicator.qml"
    "Button.qml"
    "CheckBox.qml"
    "CheckDelegate.qml"
    "ComboBox.qml"
    "DelayButton.qml"
    "Dial.qml"
    "Dialog.qml"
    "DialogButtonBox.qml"
    "Drawer.qml"
    "Frame.qml"
    "GroupBox.qml"
    "HorizontalHeaderView.qml"
    "ItemDelegate.qml"
    "Label.qml"
    "Menu.qml"
    "MenuBar.qml"
    "MenuBarItem.qml"
    "MenuItem.qml"
    "MenuSeparator.qml"
    "Page.qml"
    "PageIndicator.qml"
    "Pane.qml"
    "Popup.qml"
    "ProgressBar.qml"
    "RadioButton.qml"
    "RadioDelegate.qml"
    "RangeSlider.qml"
    "RoundButton.qml"
    "ScrollBar.qml"
    "ScrollView.qml"
    "ScrollIndicator.qml"
    "SelectionRectangle.qml"
    "Slider.qml"
    "SpinBox.qml"
    "SplitView.qml"
    "SwipeDelegate.qml"
    "SwitchDelegate.qml"
    "Switch.qml"
    "TabBar.qml"
    "TabButton.qml"
    "TextArea.qml"
    "TextField.qml"
    "ToolBar.qml"
    "ToolButton.qml"
    "ToolSeparator.qml"
    "ToolTip.qml"
    "TreeViewDelegate.qml"
    "Tumbler.qml"
    "VerticalHeaderView.qml"
)
set_source_files_properties(DelayButton.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.2;6.0"
)
set_source_files_properties(Dialog.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.1;6.0"
)
set_source_files_properties(DialogButtonBox.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.1;6.0"
)
set_source_files_properties(HorizontalHeaderView.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.15;6.0"
)
set_source_files_properties(MenuBar.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.3;6.0"
)
set_source_files_properties(MenuBarItem.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.3;6.0"
)
set_source_files_properties(MenuSeparator.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.1;6.0"
)
set_source_files_properties(RoundButton.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.1;6.0"
)
set_source_files_properties(SplitView.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.13;6.0"
)
set_source_files_properties(ToolSeparator.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.1;6.0"
)
set_source_files_properties(VerticalHeaderView.qml PROPERTIES
    QT_QML_SOURCE_VERSIONS "2.15;6.0"
)

add_subdirectory(impl)

qt_internal_add_qml_module(QuickControls2Fusion
    URI "QtQuick.Controls.Fusion"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    CLASS_NAME QtQuickControls2FusionStylePlugin
    DEPENDENCIES
        QtQuick/auto
    IMPORTS
        QtQuick.Controls.Basic/auto
    PLUGIN_TARGET qtquickcontrols2fusionstyleplugin
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    SOURCES
        qquickfusionstyle.cpp qquickfusionstyle_p.h
        qquickfusiontheme.cpp qquickfusiontheme_p.h
    QML_FILES
        ${qml_files}
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickControls2FusionStyleImpl
        Qt::QuickControls2Private
        Qt::QuickPrivate
        Qt::QuickTemplates2Private
)

target_sources(qtquickcontrols2fusionstyleplugin
    PRIVATE
        qtquickcontrols2fusionstyleplugin.cpp
)

target_link_libraries(qtquickcontrols2fusionstyleplugin
    PRIVATE
        Qt::QuickControls2Private
)

qt_internal_add_resource(QuickControls2Fusion "qtquickcontrols2fusionstyle"
    PREFIX
        "/qt-project.org/imports/QtQuick/Controls/Fusion"
    FILES
        "images/arrow.png"
        "images/arrow@2x.png"
        "images/arrow@3x.png"
        "images/arrow@4x.png"
        "images/checkmark.png"
        "images/checkmark@2x.png"
        "images/checkmark@3x.png"
        "images/checkmark@4x.png"
        "images/progressmask.png"
        "images/progressmask@2x.png"
        "images/progressmask@3x.png"
        "images/progressmask@4x.png"
)

_qt_internal_add_qml_static_plugin_dependency(qtquickcontrols2fusionstyleplugin quickwindow)
_qt_internal_add_qml_static_plugin_dependency(qtquickcontrols2fusionstyleplugin
                                              qtquickcontrols2fusionstyleimplplugin)

# Basic style is the required fallback style.
_qt_internal_add_qml_static_plugin_dependency(qtquickcontrols2fusionstyleplugin
                                              qtquickcontrols2basicstyleplugin)

=== tests/manual/svg/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.5)

project(svg VERSION 0.1 LANGUAGES CXX)

qt_standard_project_setup(REQUIRES 6.8)

set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets Quick Qml Svg SvgWidgets QuickWidgets QuickVectorImageGeneratorPrivate)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets Quick Qml Svg SvgWidgets QuickWidgets QuickVectorImageGeneratorPrivate)

set(PROJECT_SOURCES
        main.cpp
        mainwindow.h mainwindow.cpp
        mainwindow.ui
        svgpainter.h svgpainter.cpp
        svgmanager.h svgmanager.cpp
)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(svg
        MANUAL_FINALIZATION
        ${PROJECT_SOURCES}
    )
# Define target properties for Android with Qt 6 as:
#    set_property(TARGET svg APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR
#                 ${CMAKE_CURRENT_SOURCE_DIR}/android)
# For more information, see https://doc.qt.io/qt-6/qt-add-executable.html#target-creation
else()
    if(ANDROID)
        add_library(svg SHARED
            ${PROJECT_SOURCES}
        )
# Define properties for Android with Qt 5 after find_package() calls as:
#    set(ANDROID_PACKAGE_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/android")
    else()
        add_executable(svg
            ${PROJECT_SOURCES}
        )
    endif()
endif()

target_link_libraries(svg PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Quick Qt${QT_VERSION_MAJOR}::Qml Qt${QT_VERSION_MAJOR}::Svg Qt${QT_VERSION_MAJOR}::QuickWidgets Qt${QT_VERSION_MAJOR}::QuickVectorImageGeneratorPrivate Qt${QT_VERSION_MAJOR}::SvgWidgets)

set_target_properties(svg PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER my.example.com
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

install(TARGETS svg
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

qt_add_qml_module(svg
    VERSION 1.0
    URI SvgImageTest
    QML_FILES SvgImage.qml QmlGenerator.qml
)


if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(svg)
endif()

=== tests/auto/particles/qquicktrailemitter/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquicktrailemitter.pro.

#####################################################################
## tst_qquicktrailemitter Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qquicktrailemitter LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qquicktrailemitter
    SOURCES
        tst_qquicktrailemitter.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickParticlesPrivate
        Qt::QuickPrivate
        Qt::QuickTestUtilsPrivate
    TESTDATA ${test_data}
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qquicktrailemitter CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qquicktrailemitter CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== tests/auto/qml/qmlformat/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmlformat.pro.

#####################################################################
## tst_qmlformat Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qmlformat LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qmlformat
    SOURCES
        tst_qmlformat.cpp
    DEFINES
        SRCDIR="${CMAKE_CURRENT_SOURCE_DIR}"
    LIBRARIES
        Qt::Core
        Qt::QmlDomPrivate
        Qt::TestPrivate
        Qt::QuickTestUtilsPrivate
    TESTDATA ${test_data}
    TIMEOUT 3000
)

add_dependencies(tst_qmlformat Qt::qmlformat)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qmlformat CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qmlformat CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== tests/auto/qmldom/stringdumper/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from stringdumper.pro.

#####################################################################
## tst_qmldomstringdumper Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qmldomstringdumper LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qmldomstringdumper
    SOURCES
        tst_qmldomstringdumper.cpp tst_qmldomstringdumper.h
    DEFINES
        QT_DEPRECATED_WARNINGS
    INCLUDE_DIRECTORIES
        ../../../../src/qmldom
    LIBRARIES
        Qt::QmlDomPrivate
)

=== tests/auto/quick/qquickpainteditem/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquickpainteditem.pro.

#####################################################################
## tst_qquickpainteditem Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qquickpainteditem LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qquickpainteditem
    SOURCES
        tst_qquickpainteditem.cpp
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Network
        Qt::QmlPrivate
        Qt::QuickPrivate
)

## Scopes:
#####################################################################

=== tests/manual/quickcontrols/systemtrayicon/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from systemtrayicon.pro.

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(systemtrayicon LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

#####################################################################
## systemtrayicon Binary:
#####################################################################

qt_internal_add_manual_test(systemtrayicon
    GUI
    SOURCES
        systemtrayicon.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::QuickControls2
)

# Resources:
set(systemtrayicon_resource_files
    "images/qt_logo_green_256.png"
    "systemtrayicon.qml"
)

qt_internal_add_resource(systemtrayicon "systemtrayicon"
    PREFIX
        "/files"
    FILES
        ${systemtrayicon_resource_files}
)


#### Keys ignored in scope 1:.:.:systemtrayicon.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/qml/qqmlmoduleplugin/plugin.2.1/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from plugin.2.1.pro.

#####################################################################
## plugin.2.1 Generic Library:
#####################################################################

qt_internal_add_cmake_library(plugin.2.1
    MODULE
    OUTPUT_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/../imports/org/qtproject/AutoTestQmlPluginType.2.1"
    SOURCES
        plugin.cpp
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::Qml
        Qt::QmlPrivate
)

#### Keys ignored in scope 1:.:.:plugin.2.1.pro:<TRUE>:
# IMPORT_FILES = "qmldir"
# TEMPLATE = "lib"

qt_autogen_tools_initial_setup(plugin.2.1)
# special case begin
set_target_properties(plugin.2.1 PROPERTIES OUTPUT_NAME "plugin")
file(COPY qmldir
    DESTINATION "${CMAKE_CURRENT_BINARY_DIR}/../imports/org/qtproject/AutoTestQmlPluginType.2.1"
)
# special case end

=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>
# Contributor: Gary Wang <opensource@blumia.net>

_realname=qt6-declarative
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}"
         "${MINGW_PACKAGE_PREFIX}-${_realname}-debug")
_qtver=6.8.2
pkgver=${_qtver/-/}
pkgrel=1
pkgdesc='Classes for QML and JavaScript languages (mingw-w64)'
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://www.qt.io'
msys2_repository_url="https://code.qt.io/cgit/qt/qtdeclarative.git"
msys2_references=(
  'archlinux: qt6-declarative'
  "cpe: cpe:/a:qt:qt"
)
license=('spdx:LGPL-3.0-only WITH Qt-GPL-exception-1.0 AND BSD-3-Clause AND GFDL-1.3-no-invariants-only AND GPL-2.0-only AND GPL-3.0-only')
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
             "${MINGW_PACKAGE_PREFIX}-qt6-languageserver"
             "${MINGW_PACKAGE_PREFIX}-qt6-svg"
             "rsync")
_pkgfn="${_realname/6-/}-everywhere-src-${_qtver}"
source=("https://download.qt.io/official_releases/qt/${pkgver%.*}/${_qtver}/submodules/${_pkgfn}.tar.xz"
        001-appending-qt6-to-remove-qt5-conflict.patch)
sha256sums=('144d876adc8bb55909735143e678d1e24eadcd0a380a0186792d88b731346d56'
            'b08b7a9cd263eaa2f09ec1b7718d79c253b4e30f3a1f47df6c89fa2e85d7659d')

# Helper macros to help make tasks easier #
apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  cd $srcdir/${_pkgfn}

  apply_patch_with_msg \
    001-appending-qt6-to-remove-qt5-conflict.patch
}

build() {
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
    --log-level=STATUS \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    ../${_pkgfn}

  PATH=$PWD/bin:$PATH ${MINGW_PREFIX}/bin/cmake --build .
}

package_qt6-declarative() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base")
  optdepends=("${MINGW_PACKAGE_PREFIX}-qt6-svg: for QtQuickVectorImage and svgtoqml"
              "${MINGW_PACKAGE_PREFIX}-qt6-shadertools"
              "${MINGW_PACKAGE_PREFIX}-qt6-languageserver")
  conflicts=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2")
  replaces=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6")

  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install build-${MSYSTEM}

  # Seperate debug-info files
  rsync -armR --remove-source-files --include="*/" --include="*.debug" --exclude="*" --prune-empty-dirs "${pkgdir}"/.${MINGW_PREFIX} "${srcdir}"/${MSYSTEM}-debug/

  install -d "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
  install -Dm644 $_pkgfn/LICENSES/* -t "$pkgdir${MINGW_PREFIX}"/share/licenses/${_realname}
}

package_qt6-declarative-debug() {
  depends=("${MINGW_PACKAGE_PREFIX}-qt6-base-debug"
           "${MINGW_PACKAGE_PREFIX}-${_realname}")
  conflicts=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2-debug")
  replaces=("${MINGW_PACKAGE_PREFIX}-qt6-quickcontrols2-debug")
  groups=("${MINGW_PACKAGE_PREFIX}-qt6-debug")
  options=('!strip')

  cp -rf "${srcdir}"/${MSYSTEM}-debug${MINGW_PREFIX} "${pkgdir}"/
}

# template start; name=mingw-w64-splitpkg-wrappers; version=1.0;
# vim: set ft=bash :

# generate wrappers
for _name in "${pkgname[@]}"; do
  _short="package_${_name#${MINGW_PACKAGE_PREFIX}-}"
  _func="$(declare -f "${_short}")"
  eval "${_func/#${_short}/package_${_name}}"
done
# template end;
